Package org.apache.jmeter.util

# Class PropertiesBasedPrefixResolver

java.lang.Object
org.apache.xml.utils.PrefixResolverDefault
org.apache.jmeter.util.PropertiesBasedPrefixResolver

All Implemented Interfaces:
  `org.apache.xml.utils.PrefixResolver`

public class PropertiesBasedPrefixResolver extends org.apache.xml.utils.PrefixResolverDefault
`PrefixResolver` implementation that loads prefix configuration from jmeter property xpath.namespace.config

## Constructor Summary

Constructors
Constructor
Description
`PropertiesBasedPrefixResolver(Node xpathExpressionContext)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getNamespaceForPrefix(String prefix, Node namespaceContext)`
Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation

### Methods inherited from class org.apache.xml.utils.PrefixResolverDefault

`getBaseIdentifier, getNamespaceForPrefix, handlesNullPrefixes`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertiesBasedPrefixResolver

public PropertiesBasedPrefixResolver(Node xpathExpressionContext)

Parameters:
  `xpathExpressionContext` - Node

## Method Details

### getNamespaceForPrefix

public String getNamespaceForPrefix(String prefix, Node namespaceContext)
Searches prefix in NAMESPACE_MAP, if it fails to find it defaults to parent implementation

Specified by:
  `getNamespaceForPrefix` in interface `org.apache.xml.utils.PrefixResolver`
Overrides:
  `getNamespaceForPrefix` in class `org.apache.xml.utils.PrefixResolverDefault`
Parameters:
  `prefix` - Prefix
  `namespaceContext` - Node